; Program: Mute On Undock
; Author:  Dean Householder
; Website: http://www.deanhouseholder.com/
; Version: 1.0 9/28/2012
; Copyright: GPL

#SingleInstance, Force
#Persistent

If !A_IsCompiled
	Menu, Tray, Icon, %A_ScriptDir%\Undock Mute.ico
Else
	Menu, Tray, Icon, %A_ScriptName%

#include %A_ScriptDir%\VA.ahk

SysGet, PrevMonitors, MonitorCount ; Count number of monitors initially

SetTimer, WatchUndock, 1000 ; Check every 1 second
Return

WatchUndock:
	Muted := VA_GetMasterMute() ; Get current Mute state
	SysGet, Monitors, MonitorCount ; Count number of monitors

	if (PrevMonitors != Monitors) ; Did we just Dock or Undock?
	{
		If (Monitors = 1) ; Undocked
		{
			If (Muted = 0) { ; If not muted
				VA_SetMasterMute(1) ; Mute
			}
			Send, {Media_Stop} ; Stop any media players
		} else { ; Docked
			If (Muted = 1) { ; If muted
				VA_SetMasterMute(0) ; Unmute
			}
		}
	}
	PrevMonitors := Monitors ; Control looping by setting monitor count to current
Return
